#!/bin/sh
SRC=$USERDATAPATH
DEST=/mnt/mtdblock
DEST2=/mnt/mtdblock/data

ifconfig eth0 192.168.1.201

ln -s $DEST/lib/libminigui_cstm.so /lib/libminigui_cstm-3.0.so.2 -f
ln -s $DEST/lib/libcustom_procs.so /lib/libcustom_procs.so -f
ln -s $DEST/lib/libpng12.so /lib/libpng12.so.0	-f
ln -s $DEST/lib/libfreetype.so /lib/libfreetype.so.6 -f
ln -s $DEST/lib/libanimate.so /lib/libanimate.so.0 -f
ln -s $DEST/lib/libcommon_animates.so /lib/libcommon_animates.so.0 -f
ln -s $DEST/lib/libagg.so /lib/libagg.so.0 -f
ln -s $DEST/lib/libz.so /lib/libz.so.1 -f
ln -s $DEST/lib/libsoftkeywin.so /lib/libsoftkeywin.so.0  -f
ln -s $DEST/lib/libc2.so /lib/libstdc++.so.6 -f

ALGOLIB=$DEST/lib/libzkfp.so.3.5.1
ln -s $ALGOLIB  /lib/libzkfp.so.3 -f
ln -s $ALGOLIB  /lib/libzkfp.so -f
ln -s $DEST/lib/libZKFace.so /lib/libZKFace.so -f
ln -s $DEST/lib/libZKFace7.so /lib/libZKFace7.so -f
ln -s $DEST/lib/libzkfp.so.4.0.0 /lib/libzkfp.so.10 -f
ln -s $DEST/lib/libfpsensor.so /lib/libfpsensor.so -f
ln -s $DEST/lib/libdlcl.so.1 /lib/libdlcl.so -f
ln -s $DEST/lib/libjpeg.so /lib/libjpeg.so.62 -f 
ln -s $DEST/MiniGUI.cfg /etc/MiniGUI.cfg -f
ln -s $DEST/lib/libttf.so /lib/libttf.so -f
ln -s $DEST/lib/libhttppush.so /lib/libhttppush.so -f
ln -s $DEST/lib/libwebserver_a.so /lib/libwebserver_a.so -f
ln -s $DEST/lib/libradio.so /lib/libradio.so -f
ln -s $DEST/lib/libZKJPG.so /lib/libZKJPG.so -f

export USERDATAPATH=/mnt/mtdblock/
export QWS_MOUSE_PROTO=TPanel:/dev/input/event0
export TSLIB_TSDEVICE=/dev/event1
export V_ROOT=/mnt/mtdblock/lib/ts
export TSLIB_CONSOLEDEVICE=none
export TSLIB_FBDEVICE=/dev/fb0
export TSLIB_CALIBFILE=$V_ROOT/etc/pointercal
export TSLIB_CONFFILE=$V_ROOT/etc/ts.conf
export TSLIB_PLUGINDIR=$V_ROOT/share/ts/plugins
export LD_LIBRARY_PATH=$V_ROOT/lib:$LD_LIBRARY_PATH

if [ -f $DEST/wavres.tgz ]; then
	tar vxzf $DEST/wavres.tgz -C /mnt/ramdisk/ && sync
fi

if [ -f $DEST/06-local.rules ]; then
	cp $DEST/06-local.rules  /etc/udev/rules.d/ && rm $DEST/06-local.rules && sync
fi

if [ ! -c /dev/wiegand ]; then
    mknod  /dev/wiegand c 62 0
fi

if [ ! -c /dev/tkey ]; then
    mknod /dev/tkey c 63 0
fi

if [ -f $DEST/drivers/rtc.ko ]; then
        insmod $DEST/drivers/rtc.ko
fi

if [ -f $DEST/drivers/mi0360.ko ]; then
        insmod $DEST/drivers/mi0360.ko
fi

if [ -f $DEST/drivers/cim.ko ]; then
        insmod $DEST/drivers/cim.ko
fi

if [ -f $DEST/drivers/gpio_drv.ko ]; then
        insmod $DEST/drivers/gpio_drv.ko
fi

if [ ! -c /dev/ttygserial ]; then
    mknod /dev/ttygserial c 127 0
fi

if [ -f $DEST/drivers/ads7846.ko ]; then
    insmod $DEST/drivers/ads7846.ko
fi

if [ -f $DEST/drivers/gspca.ko ]; then
    insmod $DEST/drivers/gspca.ko
fi

if [ -f $DEST/drivers/wiegand.ko ]; then
    insmod $DEST/drivers/wiegand.ko
fi

if [ -f $DEST/drivers/tkey.ko ]; then
    insmod $DEST/drivers/tkey.ko
fi

if [ -f $DEST/drivers/wifi/rt73.tgz ]; then
	rm /etc/rt73* -f && tar xzvf $DEST/drivers/wifi/rt73.tgz -C /etc/ && sync
fi

if [ -f $DEST/drivers/wifi/rt73.ko ]; then
	insmod $DEST/drivers/wifi/rt73.ko
fi

if [ -f $DEST/main.gz ]; then
	cd $DEST && rm main -f && gunzip main.gz && sync
fi

if [ -f $DEST/test/mginit.gz ]; then
	cd $DEST/test/ && rm mginit -f && gunzip mginit.gz && sync
fi

if [ -f $DEST/test/sensormsg.gz ]; then
	cd $DEST/test/ && rm sensormsg -f && gunzip sensormsg.gz && sync
fi

if [ ! -d /var/tmp ]; then
	mkdir /var/tmp
fi
        
if [ -f /var/tmp/mginit ]; then
	rm /var/tmp/mginit && sync
fi

if [ -f $DEST/test/mginit ]; then
	rm /var/tmp/* -rf
	rm /tmp/run.dat -rf 
	cd $DEST/test && chmod u+x mginit sensormsg && $DEST/test/mginit &
	
fi

while [ 1 ]
do 
	if [ -f /tmp/run.dat ]; then
		break
	fi
done	
 
if [ -f $DEST/main ]; then
	cd $DEST && chmod u+x main && $DEST/main &
fi 

if [ -f $DEST2/wdt ]; then
	cd $DEST2 && chmod u+x $DEST2/wdt && $DEST2/wdt -p 5 -t 3600
fi
